ServerEvents.recipes(GregTechApocalypse => {
  GregTechApocalypse.remove({ id: 'immersive_engineering:steel_ingot' })
  GregTechApocalypse.remove({ id: 'ad_astra:steel_ingot' })
  GregTechApocalypse.remove({ id: 'immersive_engineering:steel_nugget' })
  GregTechApocalypse.remove({ id: 'ad_astra:steel_nugget' })
  GregTechApocalypse.remove({ id: 'immersive_engineering:steel_plate' })
  GregTechApocalypse.remove({ id: 'ad_astra:steel_plate' })
  GregTechApocalypse.remove({ id: 'undead_revamp2:wincallerfan' })
  GregTechApocalypse.remove({ id: 'mapperbase:iron_plate' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_plate' })
  GregTechApocalypse.remove({ id: 'gag:hearthstone' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_helmet' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_chestplate' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_leggings' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_boots' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_sword' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_axe' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_pickaxe' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_shovel' })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_hoe' })
  GregTechApocalypse.remove({ id: 'survival_instinct:green_recluit_hat' })
  GregTechApocalypse.remove({ id: 'survival_instinct:green_recluit_vest' })
  GregTechApocalypse.remove({ id: 'survival_instinct:green_recluit_pants' })
  GregTechApocalypse.remove({ id: 'survival_instinct:green_recluit_boots' })

  GregTechApocalypse.remove({ id: 'solapplepie:lunchbag' })
  GregTechApocalypse.shaped('solapplepie:lunchbag', [' A ', 'B B', 'BBB'], {
    A: 'gtceu:basic_tape',
    B: 'minecraft:paper'
  })
  GregTechApocalypse.remove({ id: 'solapplepie:lunchbox' })
  GregTechApocalypse.shaped('solapplepie:lunchbox', [' A ', 'ACA', 'ABA'], {
    A: 'gtceu:carbon_fiber_mesh',
    B: 'gtceu:carbon_fiber_plate',
    C: 'solapplepie:lunchbag'
  })
  GregTechApocalypse.remove({ id: 'solapplepie:golden_lunchbox' })
  GregTechApocalypse.shapeless('solapplepie:golden_lunchbox', ['solapplepie:lunchbox', 'functionalstorage:gold_upgrade'])

  GregTechApocalypse.remove({ id: 'modularrouters:modular_router' })
  GregTechApocalypse.shaped('4x modularrouters:modular_router', ['AEB', 'EFE', 'CED'], {
    A: 'gtceu:ev_electric_pump',
    B: 'gtceu:ev_robot_arm',
    C: 'gtceu:ev_sensor',
    D: 'gtceu:ev_battery_hull',
    E: 'minecraft:iron_bars',
    F: 'modularrouters:blank_module'
  })
  GregTechApocalypse.remove({ id: 'laserio:laser_node' })
  GregTechApocalypse.shaped('4x laserio:laser_node', ['AEB', 'EFE', 'CED'], {
    A: 'gtceu:ev_electric_pump',
    B: 'gtceu:ev_robot_arm',
    C: 'gtceu:ev_sensor',
    D: 'gtceu:ev_battery_hull',
    E: '#forge:glass_panes',
    F: 'laserio:laser_connector'
  })

  GregTechApocalypse.remove({ id: 'minecraft:beacon' })
  GregTechApocalypse.shaped('minecraft:beacon', ['AAA', 'ABA', 'CCC'], {
    A: '#forge:glass',
    B: 'gtceu:mv_field_generator',
    C: 'minecraft:obsidian'
  })

  GregTechApocalypse.remove({ id: 'minecraft:diamond_pickaxe' })
  GregTechApocalypse.shaped('minecraft:diamond_pickaxe', ['BAA', 'DCF', ' C '], {
    A: 'minecraft:diamond',
    B: 'gtceu:diamond_plate',
    C: 'minecraft:stick',
    D: '#gtceu:tools/crafting_files',
    F: '#gtceu:tools/crafting_hammers'
  })
  GregTechApocalypse.remove({ id: 'minecraft:diamond_shovel' })
  GregTechApocalypse.shaped('minecraft:diamond_shovel', ['ACB', ' D ', ' D '], {
    A: '#gtceu:tools/crafting_files',
    B: '#gtceu:tools/crafting_hammers',
    C: '#forge:plates/diamond',
    D: 'minecraft:stick'
  })
  GregTechApocalypse.remove({ id: 'minecraft:diamond_axe' })
  GregTechApocalypse.shaped('minecraft:diamond_axe', ['CFB', 'CD ', 'AD '], {
    A: '#gtceu:tools/crafting_files',
    B: '#gtceu:tools/crafting_hammers',
    C: '#forge:plates/diamond',
    D: 'minecraft:stick',
    F: 'minecraft:diamond'
  })
  GregTechApocalypse.remove({ id: 'minecraft:diamond_hoe' })
  GregTechApocalypse.shaped('minecraft:diamond_hoe', ['CFB', 'AD ', ' D '], {
    A: '#gtceu:tools/crafting_files',
    B: '#gtceu:tools/crafting_hammers',
    C: '#forge:plates/diamond',
    D: 'minecraft:stick',
    F: 'minecraft:diamond'
  })
  GregTechApocalypse.remove({ id: 'minecraft:diamond_sword' })
  GregTechApocalypse.shaped('minecraft:diamond_sword', [' C ', 'ACB', ' D '], {
    A: '#gtceu:tools/crafting_files',
    B: '#gtceu:tools/crafting_hammers',
    C: '#forge:plates/diamond',
    D: 'minecraft:stick'
  })
  
  GregTechApocalypse.remove({ id: 'gtceu:shaped/iron_horse_armor' })
  GregTechApocalypse.shaped('minecraft:iron_horse_armor', ['CDE', 'ABA', 'FGF'], {
    A: '#forge:plates/iron',
    B: 'minecraft:iron_chestplate',
    C: '#gtceu:tools/crafting_hammers',
    D: '#gtceu:tools/crafting_screwdrivers',
    E: 'minecraft:iron_helmet',
    F: 'minecraft:iron_leggings',
    G: 'minecraft:leather_horse_armor'
  })
  GregTechApocalypse.remove({ id: 'gtceu:shaped/golden_horse_armor' })
  GregTechApocalypse.shaped('minecraft:golden_horse_armor', ['CDE', 'ABA', 'FGF'], {
    A: '#forge:plates/gold',
    B: 'minecraft:golden_chestplate',
    C: '#gtceu:tools/crafting_hammers',
    D: '#gtceu:tools/crafting_screwdrivers',
    E: 'minecraft:golden_helmet',
    F: 'minecraft:golden_leggings',
    G: 'minecraft:iron_horse_armor'
  })
  GregTechApocalypse.remove({ id: 'mapperbase:steel_horse_armor' })
  GregTechApocalypse.shaped('mapperbase:steel_horse_armor', ['CDE', 'ABA', 'FGF'], {
    A: '#forge:plates/steel',
    B: 'gtceu:steel_chestplate',
    C: '#gtceu:tools/crafting_hammers',
    D: '#gtceu:tools/crafting_screwdrivers',
    E: 'gtceu:steel_helmet',
    F: 'gtceu:steel_leggings',
    G: 'minecraft:golden_horse_armor'
  })
  GregTechApocalypse.remove({ id: 'gtceu:shaped/diamond_horse_armor' })
  GregTechApocalypse.shaped('minecraft:diamond_horse_armor', ['CDE', 'ABA', 'FGF'], {
    A: '#forge:plates/diamond',
    B: 'minecraft:diamond_chestplate',
    C: '#gtceu:tools/crafting_hammers',
    D: '#gtceu:tools/crafting_screwdrivers',
    E: 'minecraft:diamond_helmet',
    F: 'minecraft:diamond_leggings',
    G: 'mapperbase:steel_horse_armor'
  })

  GregTechApocalypse.shaped('16x minecraft:stick', ['s', 's'], { s: '#minecraft:logs' }).id('gt-a:easy_sticks')

  //trinkets
  GregTechApocalypse.remove({id: 'nameless_trinkets:reforger'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:fragile_cloud'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:ethereal_wings'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:moon_stone'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:fertilizer'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:sigil_of_baphomet'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:wooden_stick'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:ghast_eye'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:blindfold'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:vampire_blood'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:dragons_eye'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:fate_emerald'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:what_magnet'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:reverse_card'})
  GregTechApocalypse.remove({id: 'nameless_trinkets:missing_page'})
  GregTechApocalypse.remove({ id: 'nameless_trinkets:broken_magnet' })
  GregTechApocalypse.shaped('nameless_trinkets:broken_magnet', ['ABA', 'CDB', 'ACA'], {
    A: 'minecraft:iron_ingot',
    B: 'minecraft:lapis_lazuli',
    C: 'minecraft:redstone',
    D: 'simplemagnets:advancedmagnet'
  })

  GregTechApocalypse.remove({ id: 'pipez:fluid_pipe' })
  GregTechApocalypse.shaped('16x pipez:fluid_pipe', ['AAA', 'BCD', 'AAA'], {
    A: 'minecraft:iron_ingot',
    B: 'gtceu:ev_electric_pump',
    C: 'create:fluid_pipe',
    D: 'gtceu:ev_fluid_regulator'
  })
  GregTechApocalypse.remove({ id: 'pipez:item_pipe' })
  GregTechApocalypse.shaped('16x pipez:item_pipe', ['AAA', 'BCB', 'AAA'], {
    A: 'minecraft:iron_ingot',
    B: 'gtceu:ev_electric_motor',
    C: 'minecraft:dropper'
  })
  GregTechApocalypse.remove({ id: 'pipez:energy_pipe' })
  GregTechApocalypse.shaped('16x pipez:energy_pipe', ['AAA', 'BCB', 'AAA'], {
    A: 'minecraft:iron_ingot',
    B: 'gtceu:steel_quadruple_cable',
    C: 'minecraft:redstone_block'
  })
  GregTechApocalypse.remove({ id: 'pipez:advanced_upgrade' })
  GregTechApocalypse.shaped('pipez:advanced_upgrade', ['ABA', 'BCB', 'ABA'], {
    A: 'gtceu:diamond_gear',
    B: 'minecraft:redstone_block',
    C: 'pipez:improved_upgrade'
  })

  GregTechApocalypse.remove('minecraft:ender_eye')
  GregTechApocalypse.remove('minecraft:fire_charge')

  GregTechApocalypse.remove({ id: 'dankstorage:dank_1' })
  GregTechApocalypse.shaped('dankstorage:dank_1', ['AAA', 'ABA', 'AAA'], {
    A: 'gtceu:coke_gem',
    B: '#forge:barrels/wooden'
  })

  GregTechApocalypse.remove({ id: 'survival_instinct:powder_recipe' })

  GregTechApocalypse.remove({ id: 'simplemagnets:basicmagnet' })
  GregTechApocalypse.shaped('simplemagnets:basicmagnet', ['AAB', 'AC ', 'AAD'], {
    A: 'minecraft:iron_ingot',
    B: 'minecraft:lapis_lazuli',
    C: 'gtceu:lv_item_magnet',
    D: 'minecraft:redstone'
  })
  GregTechApocalypse.remove({ id: 'simplemagnets:advancedmagnet' })
  GregTechApocalypse.shaped('simplemagnets:advancedmagnet', ['AAB', 'ECF', 'AAD'], {
    A: 'minecraft:gold_ingot',
    B: 'minecraft:lapis_lazuli',
    C: 'gtceu:hv_item_magnet',
    D: 'minecraft:redstone',
    E: 'simplemagnets:basicmagnet',
    F: 'minecraft:diamond'
  })
})